Resume Campaign
curl --request POST \
--url https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"failed_rows": 123,
"id": 123,
"name": "<string>",
"processed_rows": 123,
"retry_config": {
"enabled": true,
"max_retries": 123,
"retry_delay_seconds": 123,
"retry_on_busy": true,
"retry_on_no_answer": true,
"retry_on_voicemail": true
},
"source_id": "<string>",
"source_type": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"state": "<string>",
"total_rows": 123,
"workflow_id": 123,
"workflow_name": "<string>",
"circuit_breaker": {
"enabled": false,
"failure_threshold": 0.5,
"min_calls_in_window": 5,
"window_seconds": 120
},
"executed_count": 0,
"logs": [
{
"event": "<string>",
"level": "<string>",
"message": "<string>",
"ts": "<string>",
"details": {}
}
],
"max_concurrency": 123,
"parent_campaign_id": 123,
"redialed_campaign_id": 123,
"schedule_config": {
"enabled": true,
"slots": [
{
"day_of_week": 123,
"end_time": "<string>",
"start_time": "<string>"
}
],
"timezone": "<string>"
},
"telephony_configuration_id": 123,
"telephony_configuration_name": "<string>",
"total_queued_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Campaigns
Resume Campaign
Resume a paused campaign
POST
/
api
/
v1
/
campaign
/
{campaign_id}
/
resume
Resume Campaign
curl --request POST \
--url https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"failed_rows": 123,
"id": 123,
"name": "<string>",
"processed_rows": 123,
"retry_config": {
"enabled": true,
"max_retries": 123,
"retry_delay_seconds": 123,
"retry_on_busy": true,
"retry_on_no_answer": true,
"retry_on_voicemail": true
},
"source_id": "<string>",
"source_type": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"state": "<string>",
"total_rows": 123,
"workflow_id": 123,
"workflow_name": "<string>",
"circuit_breaker": {
"enabled": false,
"failure_threshold": 0.5,
"min_calls_in_window": 5,
"window_seconds": 120
},
"executed_count": 0,
"logs": [
{
"event": "<string>",
"level": "<string>",
"message": "<string>",
"ts": "<string>",
"details": {}
}
],
"max_concurrency": 123,
"parent_campaign_id": 123,
"redialed_campaign_id": 123,
"schedule_config": {
"enabled": true,
"slots": [
{
"day_of_week": 123,
"end_time": "<string>",
"start_time": "<string>"
}
],
"timezone": "<string>"
},
"telephony_configuration_id": 123,
"telephony_configuration_name": "<string>",
"total_queued_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Requires a Labs OAuth user access token with the
super_user role and Editor or higher workspace access. API keys are not accepted for this endpoint. See authentication.
Resumes dispatching calls from where the campaign paused. Only valid on campaigns in paused status.Authorizations
Response
Successful Response